from django.urls import path
from .views import AllCategories, ProductView, AllProductsView, CommentView

urlpatterns = [
    path('', AllProductsView.as_view(), name='category-products'),
    path('categories', AllCategories.as_view(), name='all-categories'),
    path('<int:pk>', ProductView.as_view(), name='product-detail'),
    path('<int:pk>/comments', CommentView.as_view(), name='product-comments'),
    path('comments/<int:pk>', CommentView.as_view(), name='comment-delete'),
]